---
swagger: "2.0"
info:
  description: "This is a service to calculate income tax payable by an Indian resident\
    \ or an Indian company"
  version: "1.0.0"
  title: "Income Tax calculator"
  contact:
    email: "ma@swagger.io"
  license:
    name: "Apache 2.0"
host: "itcalculator.in"
basePath: "/v1"
tags:
- name: "individual"
  description: "Income tax payable by an Indian resident"
  externalDocs:
    description: "Find out more"
    url: "https://www.incometaxindiaefiling.gov.in/Tax_Calculator/"
schemes:
- "https"
- "http"
paths:
  /calculateTax:
    post:
      tags:
      - "individual"
      summary: "Returns ncome tax payable by an Indian resident"
      description: ""
      consumes:
      - "application/json"
      produces:
      - "application/json"
      parameters:
      - in: "body"
        name: "body"
        description: "Annual income and exemptions"
        required: true
        schema:
          $ref: "#/definitions/Income"
        x-exportParamName: "Body"
      responses:
        "200":
          description: "successful operation"
          schema:
            $ref: "#/definitions/TaxDue"
  /getTaxRules:
    get:
      summary: "Get tax slabs"
      description: "Get tax slabs"
      produces:
      - "application/json"
      parameters: []
      responses:
        "200":
          description: "successful operation"
          schema:
            $ref: "#/definitions/Rules"
definitions:
  Income:
    type: "object"
    properties:
      income:
        type: "integer"
        format: "double"
      exemption:
        type: "integer"
        format: "double"
    example:
      income: 0
      exemption: 6
  TaxDue:
    type: "object"
    properties:
      income:
        type: "integer"
        format: "double"
      exemption:
        type: "integer"
        format: "double"
      payable:
        type: "integer"
        format: "double"
      receivable:
        type: "integer"
        format: "double"
    example:
      income: 0
      payable: 1
      exemption: 6
      receivable: 5
  Rules:
    type: "object"
    properties:
      year:
        type: "integer"
      rule_link:
        type: "string"
        format: "uri"
    example:
      year: 0
      rule_link: "http://example.com/aeiou"
